
Core - Task # 57173

Epic # 55070 (Accepted): Workpackages
Epic # 55065 (New): WP: Overall System Performance (Backend and Frontend)
Epic # 55656 (Accepted): Optimize overall Extbase performance
Story # 55168 (Accepted): Optimize Extbase generic persistence
Task # 55167 (Resolved): Extbase: avoid parseQuery() / buildQuery() to be called multiple times

Status: Resolved Priority: Must have
Author: Xavier Perseguers Category: Extbase
Created: 2014-03-22 Assigned To: Xavier Perseguers
Updated: 2014-05-19 Due date:
TYPO3 Version: 6.2
PHP Version: 5.4
Complexity:
Sprint Focus:
Subject: Use of cf_extbase_typo3dbbackend_queries results in fatal
Description

After upgrading to RC1 and creating cache table cf_extbase_typo3dbbackend_queries (and _tags), queries on fe_users now fatal.

My query on fe_users (findAll or findByUsergroup, does not matter) fails while mapping fe_users to FrontendUser objects because the
WHERE clause reads:

fe_groups.uid = '6','8' AND fe_groups.deleted=0 AND fe_groups.hidden=0

see the "=" with two values

This happens as soon as it tries to map a fe_users with 2 fe_groups associated (6 and 8)

Associated revisions
Revision ed50510a - 2014-03-23 18:08 - Xavier Perseguers

[BUGFIX] preparseQuery wrongly computes cache hash of a query

preparseQuery only takes query's parameters to compute its hash but
not the operators used. As such, those two queries result into the
same cache hash:

SELECT * FROM fe_groups WHERE uid = :uid

SELECT * FROM fe_groups WHERE uid IN (:uid)

Fixes: #57173
Releases: 6.2
Change-Id: I6a65ba0be81da73f55c2e6a73f508728567064c3
Reviewed-on: https://review.typo3.org/28656
Reviewed-by: Felix Oertel
Tested-by: Felix Oertel
Reviewed-by: Markus Klein
Reviewed-by: Philipp Gampe
Tested-by: Philipp Gampe

History
#1 - 2014-03-22 09:09 - Xavier Perseguers
- Is Regression changed from No to Yes

#2 - 2014-03-22 09:13 - Xavier Perseguers
- Category set to Extbase

#3 - 2014-03-22 20:56 - Ernesto Baschny
- Parent task set to #55167

#4 - 2014-03-23 09:51 - Xavier Perseguers
- Status changed from New to Accepted
- Assigned To set to Xavier Perseguers

#5 - 2014-03-23 09:58 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/28656

#6 - 2014-03-23 10:33 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/28656

#7 - 2014-03-23 13:20 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/28656

#8 - 2014-03-23 15:48 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/28656

#9 - 2014-03-23 15:52 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/28656

#10 - 2014-03-23 16:00 - Gerrit Code Review

Patch set 6 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/28656
#11 - 2014-03-23 18:31 - Xavier Perseguers
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:ed50510a899f54da6479b3dfde17c449bba1c28f.
